package com.bonus.core.marketing.v2.rule.recharge.handler.maxamount.extension;

import com.alibaba.fastjson.JSONObject;
import com.bonus.core.marketing.v2.rule.recharge.constants.RuleRechargeEnum;
import com.bonus.core.marketing.v2.rule.recharge.handler.RuleRechargeHandler;
import com.bonus.core.marketing.v2.rule.recharge.handler.maxamount.dto.RechargeMaxAmountDTO;

public interface RechargeMaxAmountHandlerExtension extends RuleRechargeHandler {
   @Override
   default Integer getRuleType() {
      return RuleRechargeEnum.RULE_MAX_AMOUNT.getKey();
   }

   @Override
   default void checkRuleInfo(String ruleInfo) {
      JSONObject.parseObject(ruleInfo, RechargeMaxAmountDTO.class);
   }
}
